<?php
namespace App\Model\Table;

use Cake\ORM\Table;
use Cake\Validation\Validator;
use Cake\Auth\DefaultPasswordHasher;
//use Cake\ORM\RulesChecker;
 
class TestimonialsTable extends Table
{
    public function initialize(array $config)
    {
        
//		$this->belongsTo('Users', [
//            'className' => 'Users',
//            //'bindingKey' => ['clientId'],
//			'foreignKey' => ['userId']
//        ]);  
    }
    
    public function validationCustomer(Validator $validator)
    {
       
		$validator->notEmpty('name', 'Please enter testimonial name.');
		$validator->notEmpty('designation', 'Please enter testimonial designation.');
        $validator->notEmpty('text', 'Please enter testimonial content.');
        return $validator;
    }
    
    
    
	
    
    
    
    
    
    
   

}
